Summary:		Domain Name Relay Daemon
Name:			dnrd
Version:		2.20.3
Release:		2
Source0:		%{name}-%{version}.tar.gz
Source1:		%{name}.aix.init
Source2:		%{name}.aix.sysconfig
Patch0:			%{name}-%{version}-aix.patch
URL:			http://dnrd.sourceforge.net/
Group:			Productivity/Networking/DNS/Servers
Packager:		Michael Perzl <michael@perzl.org>
License:		GPL
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		patch

%description
The Domain Name Relay Daemon (DNRD) is a simple "proxy" nameserver.
It is meant to be used for home networks that can connect to the internet
using one of several ISP's.

DNRD is pretty simple.  It takes DNS queries from hosts, and forwards them to
the "real" DNS server.  It takes DNS replies from the DNS server, and forwards
them to the client.  What makes DNRD special is that it can be configured to
forward to different DNS servers depending on what ISP you are dialing.

Before DNRD, there was no easy way to change the default nameserver on a Linux
system.  You can play games with /etc/resolv.conf, such as copying other
versions of this file in place depending on which ISP you're dialing into, but
that is a pain.  Instead, you can run DNRD on your dial-up machine. Whenever
you dial into an ISP, run dnrd with the appropriate DNS server as an argument.
Here's an example of how you would run it:    dnrd -s 1.2.3.4

DNRD was originally designed to work in conjuction with mserver. It works very
well with mserver, but works just fine with other dialup systems as well as in
other non-dialup environments.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch -p0


%build
export CC=xlc_r
export CFLAGS="-O2"
export CXXFLAGS="-O2"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man

make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install-strip

rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}
cp doc/master.sample ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/master
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/master

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d/
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/%{name}
chmod 0755 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/%{name}

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d
ln -sf '../init.d/dnrd' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/S20dnrd
ln -sf '../init.d/dnrd' ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/K20dnrd
ln -sf '../init.d/dnrd' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/S20dnrd
ln -sf '../init.d/dnrd' ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/K20dnrd

mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig
cp %{SOURCE2} ${RPM_BUILD_ROOT}/etc/sysconfig/%{name}
chmod 0644 ${RPM_BUILD_ROOT}/etc/sysconfig/%{name}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING NEWS README doc/master.sample doc/README*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/master
%{_sbindir}/dnrd
%{_mandir}/man8/dnrd.8*
%dir /etc/sysconfig
/etc/sysconfig/%{name}
/etc/rc.d/init.d/%{name}
/etc/rc.d/rc2.d/S20dnrd
/etc/rc.d/rc2.d/K20dnrd
/etc/rc.d/rc3.d/S20dnrd
/etc/rc.d/rc3.d/K20dnrd


%changelog
* Wed Jan 08 2014 Michael Perzl <michael@perzl.org> - 2.20.3-2
- some cosmetic changes

* Tue Aug 14 2007 Michael Perzl <michael@perzl.org> - 2.20.3-1
- updated to v2.20.3

* Mon Jan 02 2006 Michael Perzl <michael@perzl.org> - 2.20.1-1
- first version for AIX V5.1 and higher
